
Ruby - Feature #7712

Add .txt extensions to all plain-text documentation files for Windows users

01/18/2013 10:08 AM - postmodern (Hal Brodigan)

Status: Rejected   

Priority: Normal   

Assignee:    

Target version: 2.6   

Description

Given that Ruby is now aiming for Windows 8 support, all plain-text documentation files should have a .txt extension. This allows

Windows users to easily open the files; since Windows relies on the file extension to determine which app to open the file with. For

files that contain RDoc formatting, add a .rdoc extension. This proposed change does not conflict with GNU Coding Standards [1],

which only specifies the required names of project files and not their extensions.

Files to rename:

sample/README (.txt)

spec/README (.rdoc)

COPYING (.txt)

ChangeLog (.txt)

GPL (.txt)

README (.txt)

doc/ChangeLog-YARV (.txt)

doc/pty/README (.txt)

doc/rake/README (.rdoc)

doc/rake/CHANGES (.rdoc)

doc/rubygems/README (.rodc)

NEWS (.rdoc)

test/rdoc/README (.txt) (only contains "you don't have to" ??)

BSDL (.txt)

README.EXT (.txt)

symbian/README.SYMBIAN (.rdoc)

LEGAL (.txt)

lib/README (.txt)

misc/README (.txt)

ext/stringio/README (.rdoc)

ext/bigdecimal/README (.txt)

ext/gdbm/README (.txt)

ext/racc/cparse/README (.rdoc)

ext/ripper/README (.rdoc)

ext/tk/sample/demos-en/README (.txt)

ext/tk/sample/demos-en/doc.org/README.JP (.txt)

ext/tk/sample/demos-en/doc.org/README (.txt)

ext/tk/sample/tkextlib/tkHTML/README (.txt)

ext/tk/sample/msgs_tk/README (.txt)

ext/tk/sample/msgs_rb2/README (.txt)

ext/tk/sample/demos-jp/README (.txt)

ext/tk/sample/demos-jp/doc.org/README.JP (.txt)

ext/tk/sample/demos-jp/doc.org/README (.txt)

ext/tk/sample/msgs_rb/README (.txt)

ext/tk/lib/README (.txt)

ext/tk/lib/tkextlib/tkimg/README (.txt)

ext/tk/lib/tkextlib/tcllib/README (.txt)

ext/tk/lib/tkextlib/SUPPORT_STATUS (.txt)

ext/readline/README (.txt)

[1]; http://www.gnu.org/prep/standards/html_node/Documentation.html#Documentation

History

#1 - 01/19/2013 12:34 AM - trans (Thomas Sawyer)

In the case of RDoc files, perhaps it would be a good time to go a step further and move to an "industry standard" format, Markdown. I believe rdoc
tool now supports Markdown, yes?

#2 - 01/20/2013 11:19 PM - nobu (Nobuyoshi Nakada)

- Priority changed from Normal to 3

#3 - 01/23/2013 11:20 PM - trans (Thomas Sawyer)

Instead of changing the Priority to "Low" (which I suspect means "watch wither on the vine") why don't you change it to "Get'er Done"!? Postmodern

has already done most the work with the list he gave, just ask him to submit the patch be done with it. If there is some deeper concern with this idea

(which for a feature request is about is simple as it can get) then communicate it.

#4 - 01/24/2013 07:48 AM - luislavena (Luis Lavena)

Hello,

More than filename and extensions, there is a line-ending issue.

All the source code is LF (unix) which will result in something unreadable if opened with plain notepad (at least Windows 7 does a terrible job).

I don't see all these files change line endings just to satisfy the Windows users. Normal developers will have a robust/better editor than Notepad

which means filename with or without extensions to look around the source seems moot.

I might be wrong, but at least I'm a Windows Ruby user and developer.

#5 - 01/24/2013 07:53 PM - regularfry (Alex Young)

On 23/01/13 22:48, luislavena (Luis Lavena) wrote:

Issue #7712 has been updated by luislavena (Luis Lavena).

Hello,

More than filename and extensions, there is a line-ending issue.

All the source code is LF (unix) which will result in something unreadable if opened with plain notepad (at least Windows 7 does a terrible job).

I don't see all these files change line endings just to satisfy the Windows users. Normal developers will have a robust/better editor than Notepad

which means filename with or without extensions to look around the source seems moot.

I might be wrong, but at least I'm a Windows Ruby user and developer.

 That assumes people only open files from within their editor.  Way back

when I was using Windows regularly I switched Scite in for Notepad so

double-clicking a .txt opened something moderately sane.  This seems

like a reasonable thing to want to do, and can't work without file

extensions.

This seems like a no-brainer to me.

--

Alex

Feature #7712: Add .txt extensions to all plain-text documentation files for Windows users

https://bugs.ruby-lang.org/issues/7712#change-35566

Author: postmodern (Hal Brodigan)

Status: Open

Priority: Low

Assignee:

Category: DOC

Target version:

Given that Ruby is now aiming for Windows 8 support, all plain-text documentation files should have a .txt extension. This allows Windows users

to easily open the files; since Windows relies on the file extension to determine which app to open the file with. For files that contain RDoc

formatting, add a .rdoc extension. This proposed change does not conflict with GNU Coding Standards [1], which only specifies the required

names of project files and not their extensions.

Files to rename:

sample/README (.txt)

spec/README (.rdoc)

COPYING (.txt)
ChangeLog (.txt)

GPL (.txt)

README (.txt)

doc/ChangeLog-YARV (.txt)

doc/pty/README (.txt)

doc/rake/README (.rdoc)

doc/rake/CHANGES (.rdoc)

doc/rubygems/README (.rodc)

NEWS (.rdoc)

test/rdoc/README (.txt) (only contains "you don't have to" ??)

BSDL (.txt)

README.EXT (.txt)

symbian/README.SYMBIAN (.rdoc)

LEGAL (.txt)

lib/README (.txt)

misc/README (.txt)

ext/stringio/README (.rdoc)

ext/bigdecimal/README (.txt)

ext/gdbm/README (.txt)

ext/racc/cparse/README (.rdoc)

ext/ripper/README (.rdoc)

ext/tk/sample/demos-en/README (.txt)

ext/tk/sample/demos-en/doc.org/README.JP (.txt)

ext/tk/sample/demos-en/doc.org/README (.txt)

ext/tk/sample/tkextlib/tkHTML/README (.txt)

ext/tk/sample/msgs_tk/README (.txt)

ext/tk/sample/msgs_rb2/README (.txt)

ext/tk/sample/demos-jp/README (.txt)

ext/tk/sample/demos-jp/doc.org/README.JP (.txt)

ext/tk/sample/demos-jp/doc.org/README (.txt)

ext/tk/sample/msgs_rb/README (.txt)

ext/tk/lib/README (.txt)

ext/tk/lib/tkextlib/tkimg/README (.txt)

ext/tk/lib/tkextlib/tcllib/README (.txt)

ext/tk/lib/tkextlib/SUPPORT_STATUS (.txt)

ext/readline/README (.txt)

[1]; http://www.gnu.org/prep/standards/html_node/Documentation.html#Documentation

#6 - 01/24/2013 09:28 PM - trans (Thomas Sawyer)

@luislavena (Luis Lavena) The .txt extension might not be necessary, but it wouldn't hurt, yes? And in some cases it would help?

Also, there is the point of adding .rdoc to those files that are using it. Or, thinking ahead (imho), converting them to Markdown and adding .md.

#7 - 01/26/2013 06:35 AM - drbrain (Eric Hodel)

- Target version set to 2.6

#8 - 04/28/2013 07:04 AM - zzak (zzak _)

- Status changed from Open to Rejected

I'm going to reject this, I agree with Luis [ruby-core:51610].
